Imports System
Imports System.Collections
Imports System.Configuration
Imports System.Data
Imports System.Data.SqlClient
Imports System.Security.Cryptography
Imports System.Text
Imports System.Text.RegularExpressions

''' <summary>
''' Security Namespace
''' </summary>
Namespace Security

    ''' <summary>
    ''' This class is a utility class that exposes a string encryption function
    ''' </summary>
    Public Class SecurityUtility

#Region "Private Constructor"
        Private Sub New()
        End Sub
#End Region

#Region "String Encryption"
        ''' <summary>
        ''' Encrypts a string passed in as input.
        ''' </summary>
        ''' <remarks>
        ''' This function uses the MD5 Hash Algorithm to encrypt the input string
        ''' </remarks>
        ''' <param name="cleanString">The string to be encrypted.</param>        
        Public Shared Function Encrypt(ByVal cleanString As String) As String
            Dim clearBytes As [Byte]()
            clearBytes = New UnicodeEncoding().GetBytes(cleanString)
            Dim hashedBytes As [Byte]() = CType(CryptoConfig.CreateFromName("MD5"), HashAlgorithm).ComputeHash(clearBytes)
            Dim hashedText As String = BitConverter.ToString(hashedBytes)
            Return hashedText
        End Function
#End Region

    End Class

End Namespace
