


Namespace Utility



    ''' <summary>
    ''' This utility class exposes several shared function that allow you to check
    ''' if a date is Null. It also exposes a Null Date Property.
    ''' </summary>
    Public Class DateUtility

#Region "Private Constructor"
        Private Sub New()
        End Sub
#End Region


#Region "Return Null Date"

        ''' <summary>
        ''' This Property returns a "Null Date".
        ''' </summary>
        Public Shared ReadOnly Property NullDate() As Date
            Get
                Return Date.Parse("1/1/1800")
            End Get
        End Property
#End Region


#Region "Is Null Date Check"

        ''' <summary>
        ''' This shared function checks if a Date is Null
        ''' </summary>
        Public Shared Function IsNullDate(ByVal theDate As Date) As Boolean
            Return (theDate = DateUtility.NullDate)
        End Function
#End Region



    End Class




End Namespace