<%@ Register TagPrefix="ComponentArt" Namespace="ComponentArt.Web.UI" Assembly="ComponentArt.Web.UI" %>
<%@ Page Language="C#" %>
<HTML>
	<HEAD>
		<title>MSDN Side Panels</title>
		<link href="../StyleSheets/Snap_baseStyle.css" type="text/css" rel="stylesheet">
		<link href="../StyleSheets/Snap_Style.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<h1>MSDN Side Panels</h1>
			<div class="DemoArea" style="PADDING-BOTTOM:0px;HEIGHT:390px">
				<table width="100%" height="100%" cellpadding="0" cellspacing="0" border="0">
					<tr>
						<td height="100%" id="LeftColumn" class="Dock" valign="top" width="160">&nbsp;</td>
						<td width="20">&nbsp;&nbsp;</td>
						<td id="CenterColumn" width="163" valign="top" class="MainText" align="center">
							<span class="hint">
      <br><br>
      Grab the window title bar <br>
      to undock the window. <br>
      Then drag it into <br>
      another docking area. </span>
						</td>
						<td width="20">&nbsp;&nbsp;</td>
						<td id="RightColumn" class="Dock" width="160" valign="top">&nbsp;</td>
					</tr>
					<tr>
						<td class="MainText" valign="top" width="160">Docking Area 1</td>
						<td width="20">&nbsp;&nbsp;</td>
						<td width="160" valign="top">&nbsp;</td>
						<td width="20">&nbsp;&nbsp;</td>
						<td class="MainText" width="160" valign="top">Docking Area 2</td>
					</tr>
				</table>
			</div>
			<!-- Snap instance 1 ---------------------------------------------------->
			<ComponentArt:Snap id="Snap1" Height="70" Width="160" DockingContainers="LeftColumn,RightColumn" CurrentDockingContainer="LeftColumn"
				CurrentDockingIndex="0" ExpandCollapseMode="Animated" DraggingStyle="TransparentRectangle" DockingStyle="DashedOutline"
				MustBeDocked="True" IsCollapsed="false" runat="server" ClientScriptLocation="../Scripts">
				<FooterTemplate>
					<img height="2" src="../images/clear.gif" border="0">
				</FooterTemplate>
				<ContentTemplate>
					<div class="SnapContent" id="pH3G" style="WIDTH: 100%; HEIGHT: 100%;">
						Average rating:
						<br>
						<b>8</b> out of 9
						<br>
						<table cellpadding="2" cellspacing="0" border="0">
							<tr>
								<td><img src="images/i_rate.gif" width="18" height="18" border="0"></td>
								<td><a href="#" class="links">Rate this page</a></td>
							</tr>
							<tr>
								<td><img src="images/i_print.gif" width="18" height="18" border="0"></td>
								<td><a href="#" class="links">Print this page</a></td>
							</tr>
							<tr>
								<td><img src="images/i_email.gif" width="18" height="18" border="0"></td>
								<td><a href="#" class="links">E-mail this page</a></td>
							</tr>
							<tr>
								<td><img src="images/i_discuss.gif" width="18" height="18" border="0"></td>
								<td><a href="#" class="links">Discuss this page</a></td>
							</tr>
						</table>
					</div>
				</ContentTemplate>
				<HeaderTemplate>
					<div style="CURSOR: move; width: 100%;">
						<table cellSpacing="0" cellPadding="0" width="100%" border="0">
							<tr>
								<td class="SnapHeader" onmousedown="Snap1.StartDragging(event);">Page Options</td>
								<td width="10" style="cursor: hand" align="right"><img onclick="Snap1.ToggleExpand();" src="../images/i_open.gif" width="22" height="19"
										border="0"></td>
							</tr>
						</table>
					</div>
				</HeaderTemplate>
			</ComponentArt:Snap>
			<!-- Snap instance 2 ---------------------------------------------------->
			<ComponentArt:Snap id="Snap2" runat="server" MustBeDocked="True" DraggingStyle="TransparentRectangle"
				DockingStyle="DashedOutline" DockingContainers="LeftColumn,RightColumn" CurrentDockingContainer="LeftColumn"
				CurrentDockingIndex="1" ExpandCollapseMode="Animated" IsCollapsed="false" Height="70" Width="160"
				ClientScriptLocation="../Scripts">
				<FooterTemplate>
					<img height="2" src="../images/clear.gif" border="0">
				</FooterTemplate>
				<ContentTemplate>
					<div class="SnapContent" style="width: 100%; height: 100%;">
						<table width="100%" cellpadding="0" cellspacing="0" border="0">
							<tr>
								<td class="maintext"><img src="../images/bullet.gif" width="13" height="13" border="0">&nbsp;Visual 
									Studio</td>
							</tr>
							<tr>
								<td class="maintext"><img src="../images/bullet.gif" width="13" height="13" border="0">&nbsp;Visual 
									Basic</td>
							</tr>
							<tr>
								<td class="maintext"><img src="../images/bullet.gif" width="13" height="13" border="0">&nbsp;Visual 
									C#</td>
							</tr>
							<tr>
								<td class="maintext"><img src="../images/bullet.gif" width="13" height="13" border="0">&nbsp;Visual 
									C++</td>
							</tr>
							<tr>
								<td class="maintext"><img src="../images/bullet.gif" width="13" height="13" border="0">&nbsp;Visual 
									J#</td>
							</tr>
						</table>
					</div>
				</ContentTemplate>
				<HeaderTemplate>
					<div style="CURSOR: move; width: 100%;">
						<table cellSpacing="0" cellPadding="0" width="100%" border="0">
							<tr>
								<td class="SnapHeader" onmousedown="Snap2.StartDragging(event);">Developer Tools</td>
								<td width="10" style="cursor: hand" align="right"><img onclick="Snap2.ToggleExpand();" src="../images/i_open.gif" width="22" height="19"
										border="0"></td>
							</tr>
						</table>
					</div>
				</HeaderTemplate>
			</ComponentArt:Snap>
		</form>
	</body>
</HTML>
